Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.tasks.diagnostics
Class DependencyReportTask

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.diagnostics.AbstractReportTask
                      org.gradle.api.tasks.diagnostics.DependencyReportTask

All Implemented Interfaces:
  Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, Task, org.gradle.util.Configurable<Task>

    public class DependencyReportTask

extends AbstractReportTask

Displays the dependency tree for a project. Can be configured to output to a file, and to optionally output a graphviz compatible "dot" graph. This task is used when you execute the dependency list command-line option.

Field Summary

Fields inherited from interface org.gradle.api.Task
`TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

Constructor Summary
`DependencyReportTask()`

Method Summary
`void` | `generate(Project project)`
`Set<Configuration>` | `getConfigurations()` Returns the configurations to use to build a report.
`org.gradle.api.tasks.diagnostics.internal.ReportRenderer` | `getRenderer()`
`void` | `setConfigurations(Set<Configuration> configurations)` Set the configurations to use to build a report.
`void` | `setRenderer(org.gradle.api.tasks.diagnostics.internal.DependencyReportRenderer renderer)` Set the renderer to use to build a report.

Methods inherited from class org.gradle.api.tasks.diagnostics.AbstractReportTask
`generate, getOutputFile, getProjects, setOutputFile, setProjects`

Methods inherited from class org.gradle.api.internal.ConventionTask
`conventionMapping, getConventionMapping, setConventionMapping`

Methods inherited from class org.gradle.api.internal.AbstractTask
`captureStandardOutput, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doFirst, doLast, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuter, getGroup, getInputs, getLogger, getLogging, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getStandardOutputCapture, getState, getTaskDependencies, getTemporaryDir, hashCode, hasProperty, injectIntoNewInstance, isEnabled, leftShift, onlyIf, onlyIf, property, setActions, setConvention, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setGroup, setName, setOnlyIf, setOnlyIf, setProject, setProperty, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DependencyReportTask

    public DependencyReportTask()

Method Detail

### getRenderer

    public org.gradle.api.tasks.diagnostics.internal.ReportRenderer getRenderer()

  Specified by:
    `getRenderer` in class `AbstractReportTask`

### setRenderer

    public void setRenderer(org.gradle.api.tasks.diagnostics.internal.DependencyReportRenderer renderer)

  Set the renderer to use to build a report. If unset, AsciiGraphRenderer will be used.

### generate

    public void generate(Project project)
                  throws IOException

  Specified by:
    `generate` in class `AbstractReportTask`
  Throws:
    `IOException`

### getConfigurations

    public Set<Configuration> getConfigurations()

  Returns the configurations to use to build a report. If unset, all project configurations will be used.

### setConfigurations

    public void setConfigurations(Set<Configuration> configurations)

  Set the configurations to use to build a report. If unset, all project configurations will be used.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD